Set subscription preferences (unsubscribe or per-scope subscription)
PUT
Use POST /preferences/resubscribe for workspace-level resubscribes; a workspace-level unsubscribe also marks the matching workflow contacts as suppressed.
bearerAuthheader
AuthorizationBearer <token>Mailly API key(Authorization: Bearer )
application/json- body
email?stringscope?stringValue in
"workspace""sender""topic"senderEmail?stringRequired when scope=sender
topic?stringRequired when scope=topic
subscribed?booleansource?string[key: string]?unknownPreferences updated
application/json- response
success*booleanpreference*[key: string]?unknowncurl -X PUT 'https://api.mailly.site/preferences' \ -H 'Content-Type: application/json' \ -d '{ "property1": null, "property2": null}'{ "success": true, "preference": { "property1": null, "property2": null }, "property1": null, "property2": null}